Skip to main content
GET
GET /api/connections/whatsapp

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Success

available
boolean
required
unavailableReason
enum<string> | null
required
Available options:
not_configured,
bridge_unreachable
status
enum<string>
required
Available options:
not_connected,
pairing,
connecting,
connected,
needs_relink,
logged_out,
pairing_expired
phone
string | null
required
Maximum string length: 32
qrDataUri
string | null
required
Maximum string length: 200000
pairingCode
string | null
required
Maximum string length: 16
pairingExpiresAt
string | null
required
lastConnectedAt
string | null
required
lastError
string | null
required
Maximum string length: 40